"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_forge_1 = __importDefault(require("node-forge"));
const react_native_modpow_1 = __importDefault(require("react-native-modpow"));
node_forge_1.default.jsbn.BigInteger.prototype.modPow = function nativeModPow(e, m) {
    const result = react_native_modpow_1.default({
        target: this.toString(16),
        value: e.toString(16),
        modifier: m.toString(16)
    });
    return new node_forge_1.default.jsbn.BigInteger(result, 16);
};
//# sourceMappingURL=nativeModPow.js.map