"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* global fetch */
require("./nativeModPow");
const utils_1 = require("./utils");
// Seald SDK
require("@seald-io/sdk/lib/declarations");
const main_1 = require("@seald-io/sdk/lib/main");
const sscrypto = __importStar(require("sscrypto/forge"));
// SDK local database
require("./declarations");
const reactlocalmongoclient_1 = __importDefault(require("follicle/build/lib/clients/reactlocalmongoclient"));
const async_storage_1 = __importDefault(require("@react-native-community/async-storage"));
// RN URL has a lots of know issues. So we have to polyfill it.
require("react-native-url-polyfill/auto");
const createNeDbClient = async (databasePath, serializationHooks) => {
    return reactlocalmongoclient_1.default.connect(databasePath || 'memory', {
        storage: async_storage_1.default,
        ...serializationHooks
    });
};
exports.default = ({ apiURL, hairlessURL, appId, nedbClient, databasePath, databaseKey, shouldWaterfallApi, plugins, libPhoneNumber }) => {
    return main_1.SDK({
        fetch,
        sscrypto,
        nedbClient,
        createNeDbClient,
        databasePath,
        databaseKey,
        apiURL,
        hairlessURL,
        appId,
        shouldWaterfallApi,
        plugins,
        customScrypt: utils_1.customScrypt,
        getRSAKeyPromise: utils_1.getRSAKeyPromise,
        libPhoneNumber
    });
};
//# sourceMappingURL=seald-sdk-react-native.js.map